# norootforbuild

Name:           w32codec-all
Summary:        Win32 and other binary Codecs
Summary(de):    Windows 32Bit und andere binäre Codecs
License:        unknown
Group:          System/Libraries
URL:            http://mplayerhq.hu/MPlayer/releases/codecs/
Version:        20100303
Release:        1.7

Source0:        http://www1.mplayerhq.hu/MPlayer/releases/codecs/all-%{version}.tar.bz2
Source1:        VoxWare_MSA_CoDec.zip

BuildRoot:      %{_tmppath}/build-%{name}-%{version}
Prefix:         %{_prefix}
Obsoletes:      w32codec
Obsoletes:      win32-codecs
Obsoletes:      win32codecs
Provides:       w32codec
Provides:       win32-codecs
Provides:       win32codecs
BuildRequires:  unzip
ExclusiveArch:  i586

%description
Win32 DLLs for decompression of AVI- and also Quicktime-movies.
Contains the dlls from the "all" package.

%description -l de
Windows32 DLLs zum Abspielen von AVI- und Quicktime-Filmen.
Enthält die Dateien aus dem "all" Paket.

%prep

#%setup -n win32codecs-%{version} -q -a 1 -a 2
#%setup -n all-%{version} -q -a 1
%setup -c -n all-%{version} -T -a 0 -a 1

%build

%install
%__install -d "%{buildroot}%{_libdir}/win32"
cp all-%{version}/* %{buildroot}%{_libdir}/win32/
cp -f *.vwp  %{buildroot}%{_libdir}/win32/
cp -f *.acm  %{buildroot}%{_libdir}/win32/
cp -f *.dll  %{buildroot}%{_libdir}/win32/
cp -f *.inf  %{buildroot}%{_libdir}/win32/
cp -f *.ax  %{buildroot}%{_libdir}/win32/
cd %{buildroot}%{_libdir}
%{__ln_s} win32 codecs

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(644, root, root)
%{_libdir}/win32/*
%{_libdir}/codecs
%defattr(755, root, root)
%dir %{_libdir}/win32/

%changelog
* Sat Apr 24 2010 Pascal Bleser <pascal.bleser@opensuse.org> 
- update to 20100303
* Wed Oct 10 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20071007)
* Fri Sep 14 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- included VoxWare_MSA_CoDec
* Mon Oct 23 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20061022)
* Mon Jun 12 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20060611)
* Thu May 11 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20060501)
* Sat Apr 16 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20050412)
* Thu Feb 17 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20050216)
* Sun Jan 16 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20050115)
- some cleanups
* Mon Nov 08 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20041107)
* Fri Sep 17 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20040916)
* Thu Jul 07 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20040706)
* Sun Jul 04 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20040704)
- switched to "all" package, makes it easier ;-)
* Sun Jun 27 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs
- new versions, using the package date
* Wed Jun 02 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- removed rp9 (it's not used by MPlayer or xine)
- update to the latest codecs
* Sat Apr 12 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added packman build header
* Fri Feb 07 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Updated of the DLL-Packages
* Wed Dec 25 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Updated version to 0.90
* Sun May 05 2002 Henne Vogelsang <henne@links2linux.de>
- Updated version to 0.60
* Sat Nov 10 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- fixed permissions of some codecs
* Sun Oct 28 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- more dll's found on mplayer-homepage
* Sun Oct 14 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- minor spec enhancements
* Wed Jan 31 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- new upstream, more codecs
* Tue Jan 23 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- first release
